## org.mortbay.jetty.servlet
Class Holder

    java.lang.Object
      |
      +--java.util.AbstractMap
            |
            +--org.mortbay.jetty.servlet.Holder

All Implemented Interfaces:
  LifeCycle, java.util.Map, java.io.Serializable

Direct Known Subclasses:
  FilterHolder, ServletHolder

public class Holder
extends java.util.AbstractMap
implements LifeCycle, java.io.Serializable

Version:
  $Id: Holder.java,v 1.13 2003/02/15 19:17:53 gregwilkins Exp $
Author:
  Greg Wilkins
See Also:
  Serialized Form

Method Summary
`java.util.Set` `entrySet()` Map entrySet method.
`java.lang.Object` `get(java.lang.Object name)` Map get method.
`java.lang.String` `getClassName()`
`java.lang.String` `getDisplayName()`
`HttpHandler` `getHttpHandler()`
`java.lang.String` `getInitParameter(java.lang.String param)`
`java.util.Enumeration` `getInitParameterNames()`
`java.util.Map` `getInitParameters()`
`java.lang.String` `getName()`
`boolean` `isStarted()`
`java.lang.Object` `newInstance()`
`java.lang.Object` `put(java.lang.Object name, java.lang.Object value)` Map put method.
`void` `setDisplayName(java.lang.String name)`
`void` `setInitParameter(java.lang.String param, java.lang.String value)`
`void` `start()` Start the LifeCycle.
`void` `stop()` Stop the LifeCycle.
`java.lang.String` `toString()`

Methods inherited from class java.util.AbstractMap
`clear, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

### setDisplayName

    public void setDisplayName(java.lang.String name)

### getDisplayName

    public java.lang.String getDisplayName()

### getClassName

    public java.lang.String getClassName()

### getHttpHandler

    public HttpHandler getHttpHandler()

### setInitParameter

    public void setInitParameter(java.lang.String param,
                                 java.lang.String value)

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String param)

### getInitParameters

    public java.util.Map getInitParameters()

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

### entrySet

    public java.util.Set entrySet()

  Map entrySet method. FilterHolder implements the Map interface as a configuration conveniance. The methods are mapped to the filter properties.

  Specified by:
    `entrySet` in interface `java.util.Map`
  Specified by:
    `entrySet` in class `java.util.AbstractMap`
  Returns:
    The entrySet of the initParameter map

### put

    public java.lang.Object put(java.lang.Object name,
                                java.lang.Object value)

  Map put method. FilterHolder implements the Map interface as a configuration conveniance. The methods are mapped to the filter properties.

  Specified by:
    `put` in interface `java.util.Map`
  Overrides:
    `put` in class `java.util.AbstractMap`

### get

    public java.lang.Object get(java.lang.Object name)

  Map get method. FilterHolder implements the Map interface as a configuration conveniance. The methods are mapped to the filter properties.

  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `java.util.AbstractMap`

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `LifeCycle`
  Start the LifeCycle.

  Specified by:
    `start` in interface `LifeCycle`
  Throws:
    `java.lang.Exception` - An arbitrary exception may be thrown.

### newInstance

    public java.lang.Object newInstance()
                                 throws java.lang.InstantiationException,
                                        java.lang.IllegalAccessException

    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `LifeCycle`
  Returns:
    True if the LifeCycle has been started.

### stop

    public void stop()

  Description copied from interface: `LifeCycle`
  Stop the LifeCycle. The LifeCycle may wait for current activities to complete normally, but it can be interrupted.

  Specified by:
    `stop` in interface `LifeCycle`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractMap`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.